#!/bin/bash

set -e
base_dir=$(
    cd "$(dirname "$0")"
    pwd
)
cd $base_dir

# Check if MariaDB is running
if systemctl is-active --quiet mariadb; then
    :
else
    echo "❌ MariaDB is not running. Please start it first."
    exit 1
fi

# Configure MariaDB
mysql -u root -e "CREATE DATABASE IF NOT EXISTS \`minio-into-stck-db\`;"

# Done!
echo "✅ Successfully configured MariaDB for minio-into-stck."
